Name:           qtgrace
Version:        027a
Release: 5.fc40

%global         debug_package %{nil}
%define urw_base35_fontpath fonts/urw-base35
Summary:        QtGrace/Grace is a program to display or plot data, analyze data and prepare it for printing
Group:          Applications/Graphics
License:        GPLv2
URL:            https://sourceforge.net/projects/qtgrace/

Source0:        https://sourceforge.net/projects/qtgrace/files/qtgrace-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:	FontDataBase35
Patch0:		qtgrace-026-openfile.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  qtsinglecoreapplication-qt5-devel
BuildRequires:  libjpeg-devel, libpng-devel, netcdf-devel
BuildRequires:  zlib-devel, fftw-devel, t1lib-devel
BuildRequires:  xbae-devel, gcc-gfortran
BuildRequires:  desktop-file-utils


Requires:       xdg-utils
%description
QtGrace is a version of Grace based on the Qt-SDK by The Qt Project www.qt.io. 
QtGrace/Grace is a program to display or plot data, analyze data and prepare it for printing. i
Using QtGrace is to run Grace natively on Windows, Mac OS X and Linux.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} \
%ifnarch %{ix86} x86_64 %{arm}
    NO_CRASH_HANDLER=1 \
%endif
    USE_SYSTEM_QTSINGLEAPPLICATION=1 \
    USE_SYSTEM_QUAZIP=1 QUAZIP_LIB=-lquazip5 QUAZIP_INCLUDE=%{_includedir}/quazip5/ \
    ../src/src.pro
popd

make INSTALL_ROOT=$RPM_BUILD_ROOT -C %{_target_platform}

%install
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_datadir}/%{name}/fonts/*
mkdir -p %{buildroot}%{_datadir}/%{name}/fonts
mkdir -p %{buildroot}%{_datadir}/%{name}/examples/qtclient
mkdir -p %{buildroot}%{_datadir}/doc/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/scripts/
cp -f %{SOURCE2} %{buildroot}%{_datadir}/%{name}/fonts/FontDataBase
ln -s %{_datadir}/fonts/urw-base35/ %{buildroot}%{_datadir}/%{name}/fonts/type1
cp -rf %{_builddir}/%{name}-%{version}/fonts/{enc,icons} %{buildroot}%{_datadir}/%{name}/fonts
cp -rf %{_builddir}/%{name}-%{version}/templates %{buildroot}%{_datadir}/%{name}
cp -rf %{_builddir}/%{name}-%{version}/examples %{buildroot}%{_datadir}/%{name}
cp -rf %{_builddir}/%{name}-%{version}/gracerc* %{buildroot}%{_datadir}/%{name}
cp -rf %{_builddir}/%{name}-%{version}/bin/qt_* %{buildroot}%{_datadir}/%{name}
cp -rf %{_builddir}/%{name}-%{version}/scripts/examples_script.com  %{buildroot}%{_datadir}/%{name}/scripts/
cp -rf %{_builddir}/%{name}-%{version}/doc %{buildroot}%{_datadir}/doc/%{name}
cp -rf %{_builddir}/%{name}-%{version}/{CHANGES,COPYRIGHT,LICENSE,README_QTGRACE.txt} %{buildroot}%{_datadir}/doc/%{name}
cp -rf %{_builddir}/%{name}-%{version}/qt_grace_ger.ts %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/bin
mkdir -p %{buildroot}%{_bindir}/
cp -rf %{_builddir}/%{name}-%{version}/bin/qtgrace %{buildroot}%{_datadir}/%{name}/bin/qtgrace_bin
echo "export GRACE_HOME=/usr/share/qtgrace/" > %{buildroot}%{_bindir}/qtgrace
echo "/usr/share/qtgrace/bin/qtgrace_bin \"\$*\"  2>/dev/null" >>  %{buildroot}%{_bindir}/qtgrace
chmod a+x %{buildroot}%{_bindir}/qtgrace

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT LICENSE README_QTGRACE.txt
%attr(0755,root,root) %{_bindir}/qtgrace
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/fonts/
%{_datadir}/%{name}/bin/
%{_datadir}/%{name}/scripts/
%{_datadir}/%{name}/templates/
%{_datadir}/%{name}/gracerc*
%{_datadir}/doc/%{name}/
%{_datadir}/applications/qtgrace.desktop
%{_datadir}/%{name}/qt_grace_ger.qm
%{_datadir}/%{name}/qt_grace_ger.ts


%changelog
